package com.supervision.knowsub.entity.vo.homepage;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class MyKnowledgeStatisticsResVO {

    @Schema(description = "用户名")
    private String userName;

    @Schema(description = "最近登录时间")
    private LocalDateTime lastLoginTime;

    /**
     * 全量知识
     */
    @Schema(description = "全量知识")
    private Long knowledgeCount;

    /**
     * 待审批
     */
    @Schema(description = "待审批")
    private Long waitProcessCount;

    /**
     * 审批通过
     */
    @Schema(description = "审批通过")
    private Long passProcessCount;

    /**
     * 驳回
     */
    @Schema(description = "驳回")
    private Long rejectProcessCount;

    /**
     * 已失效
     */
    @Schema(description = "已失效")
    private Long invalidProcessCount;
}
