package com.supervision.knowsub.service;

import com.supervision.knowsub.model.FileInfo;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

public interface FileService {

    String uploadFile(String fileName, byte[] fileBytes);

    void deleteFileById(String fileId);

    List<FileInfo> listByFileId(List<String> fileIdList);

    void downloadFile(String fileId, HttpServletResponse response);
}
