package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.dto.user.UserInfoDTO;
import com.supervision.knowsub.dto.user.UserPageQuery;
import com.supervision.knowsub.model.SystemUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_user(用户表)】的数据库操作Service
* @createDate 2024-06-24 11:35:15
*/
public interface SystemUserService extends IService<SystemUser> {


    IPage<UserInfoDTO> pageList(UserPageQuery userPageQuery, Integer pageNum, Integer pageSize);

    UserInfoDTO getUserInfoById(String id);



}
