package com.supervision.knowsub.enums;

/**
 * 1知识报送 2知识撤回 3知识删除
 */
public enum FlowTypeEnum {

    SUBMIT(1, "知识报送"),
    RECALL(2, "知识撤回"),
    DELETE(3, "知识删除");

    private final Integer flowType;

    private final String desc;

    FlowTypeEnum(Integer flowType, String desc) {
        this.flowType = flowType;
        this.desc = desc;
    }

    public Integer getFlowType() {
        return flowType;
    }

    public String getDesc() {
        return desc;
    }
}
