package com.supervision.knowsub.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.dto.user.UserInfoDTO;
import com.supervision.knowsub.dto.user.UserPageQuery;
import com.supervision.knowsub.model.SystemUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
* @author Administrator
* @description 针对表【ks_system_user(用户表)】的数据库操作Mapper
* @createDate 2024-06-24 11:35:15
* @Entity com.supervision.knowsub.model.SystemUser
*/
public interface SystemUserMapper extends BaseMapper<SystemUser> {

    IPage<UserInfoDTO> pageList(@Param("userPageQuery") UserPageQuery userPageQuery, @Param("page") Page<UserInfoDTO> page);
}




