package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.dto.dept.BaseDeptRelationDTO;
import com.supervision.knowsub.model.SystemBaseDeptRelation;
import com.supervision.knowsub.service.SystemBaseDeptRelationService;
import com.supervision.knowsub.mapper.SystemBaseDeptRelationMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_base_dept_relation(子库与部门关系表)】的数据库操作Service实现
* @createDate 2024-06-24 11:35:15
*/
@Service
public class SystemBaseDeptRelationServiceImpl extends ServiceImpl<SystemBaseDeptRelationMapper, SystemBaseDeptRelation>
    implements SystemBaseDeptRelationService{

    @Override
    public List<BaseDeptRelationDTO> listBaseDeptRelation(List<String> systemBaseIds) {
        return super.getBaseMapper().listBaseDeptRelation(systemBaseIds);
    }
}




