package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.dto.user.UserInfoDTO;
import com.supervision.knowsub.dto.user.UserPageQuery;
import com.supervision.knowsub.model.SystemUser;
import com.supervision.knowsub.service.SystemUserService;
import com.supervision.knowsub.mapper.SystemUserMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【ks_system_user(用户表)】的数据库操作Service实现
* @createDate 2024-06-24 11:35:15
*/
@Service
public class SystemUserServiceImpl extends ServiceImpl<SystemUserMapper, SystemUser>
    implements SystemUserService{

    @Override
    public IPage<UserInfoDTO> pageList(UserPageQuery userPageQuery, Integer pageNum, Integer pageSize) {

        return super.getBaseMapper().pageList(userPageQuery,new Page<>(pageNum,pageSize));
    }

    @Override
    public UserInfoDTO getUserInfoById(String id) {
        return null;
    }
}




